<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:10 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>RhinoShellExec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="RhinoShellExec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoPlugin.html" title="class in org.gradle.plugins.javascript.rhino"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/javascript/rhino/RhinoShellExec.html" target="_top">Frames</a></li>
<li><a href="RhinoShellExec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.javascript.rhino</div>
<h2 title="Class RhinoShellExec" class="title">Class RhinoShellExec</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.JavaExec</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.javascript.rhino.RhinoShellExec</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a>, <a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>, <a href="../../../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>, <a href="../../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">RhinoShellExec</span>
extends <a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#RhinoShellExec()">RhinoShellExec</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#args(java.lang.Iterable)">args</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</code>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#args(java.lang.Object...)">args</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</code>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#exec()">exec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#getArgs()">getArgs</a></strong>()</code>
<div class="block">Returns the arguments passed to the main class to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#getRhinoOptions()">getRhinoOptions</a></strong>()</code>
<div class="block">Rhino options.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#getScript()">getScript</a></strong>()</code>
<div class="block">Script file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#getScriptArgs()">getScriptArgs</a></strong>()</code>
<div class="block">Script arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#rhinoOptions(java.lang.Object...)">rhinoOptions</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;rhinoOptions)</code>
<div class="block">Sets Rhino options.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#scriptArgs(java.lang.Object...)">scriptArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;scriptArgs)</code>
<div class="block">Sets script arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setArgs(java.lang.Iterable)">setArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;applicationArgs)</code>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setArgs(java.util.List)">setArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;applicationArgs)</code>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)">setRhinoOptions</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;rhinoOptions)</code>
<div class="block">Sets Rhino options.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.lang.Object...)">setRhinoOptions</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;rhinoOptions)</code>
<div class="block">Sets Rhino options.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)">setScript</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;script)</code>
<div class="block">Sets script file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.lang.Object)">setScript</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;script)</code>
<div class="block">Sets script file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)">setScriptArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;scriptArgs)</code>
<div class="block">Sets script arguments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.lang.Object...)">setScriptArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;scriptArgs)</code>
<div class="block">Sets script arguments.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.JavaExec">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/JavaExec.html#bootstrapClasspath(java.lang.Object...)">bootstrapClasspath</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#classpath(java.lang.Object...)">classpath</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#copyTo(org.gradle.process.JavaForkOptions)">copyTo</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#copyTo(org.gradle.process.ProcessForkOptions)">copyTo</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#environment(java.util.Map)">environment</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#environment(java.lang.String,%20java.lang.Object)">environment</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#executable(java.lang.Object)">executable</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getAllJvmArgs()">getAllJvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getBootstrapClasspath()">getBootstrapClasspath</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getClasspath()">getClasspath</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getCommandLine()">getCommandLine</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getDebug()">getDebug</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getDefaultCharacterEncoding()">getDefaultCharacterEncoding</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getEnableAssertions()">getEnableAssertions</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getEnvironment()">getEnvironment</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getErrorOutput()">getErrorOutput</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getExecActionFactory()">getExecActionFactory</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getExecutable()">getExecutable</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getJvmArgs()">getJvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getMain()">getMain</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getMaxHeapSize()">getMaxHeapSize</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getMinHeapSize()">getMinHeapSize</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getStandardInput()">getStandardInput</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getStandardOutput()">getStandardOutput</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getSystemProperties()">getSystemProperties</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#getWorkingDir()">getWorkingDir</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#isIgnoreExitValue()">isIgnoreExitValue</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#jvmArgs(java.lang.Iterable)">jvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#jvmArgs(java.lang.Object...)">jvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setAllJvmArgs(java.lang.Iterable)">setAllJvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setAllJvmArgs(java.util.List)">setAllJvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setBootstrapClasspath(org.gradle.api.file.FileCollection)">setBootstrapClasspath</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setDebug(boolean)">setDebug</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setDefaultCharacterEncoding(java.lang.String)">setDefaultCharacterEncoding</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setEnableAssertions(boolean)">setEnableAssertions</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setEnvironment(java.util.Map)">setEnvironment</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setErrorOutput(java.io.OutputStream)">setErrorOutput</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setExecutable(java.lang.Object)">setExecutable</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setExecutable(java.lang.String)">setExecutable</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setIgnoreExitValue(boolean)">setIgnoreExitValue</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setJvmArgs(java.lang.Iterable)">setJvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setJvmArgs(java.util.List)">setJvmArgs</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setMain(java.lang.String)">setMain</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setMaxHeapSize(java.lang.String)">setMaxHeapSize</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setMinHeapSize(java.lang.String)">setMinHeapSize</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setStandardInput(java.io.InputStream)">setStandardInput</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setStandardOutput(java.io.OutputStream)">setStandardOutput</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setSystemProperties(java.util.Map)">setSystemProperties</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setWorkingDir(java.io.File)">setWorkingDir</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#setWorkingDir(java.lang.Object)">setWorkingDir</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#systemProperties(java.util.Map)">systemProperties</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#systemProperty(java.lang.String,%20java.lang.Object)">systemProperty</a>, <a href="../../../../../org/gradle/api/tasks/JavaExec.html#workingDir(java.lang.Object)">workingDir</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RhinoShellExec()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RhinoShellExec</h4>
<pre>public&nbsp;RhinoShellExec()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRhinoOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRhinoOptions</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getRhinoOptions()</pre>
<div class="block">Rhino options.</div>
</li>
</ul>
<a name="setRhinoOptions(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRhinoOptions</h4>
<pre>public&nbsp;void&nbsp;setRhinoOptions(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;rhinoOptions)</pre>
<div class="block">Sets Rhino options.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setRhinoOptions(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRhinoOptions</h4>
<pre>public&nbsp;void&nbsp;setRhinoOptions(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;rhinoOptions)</pre>
<div class="block">Sets Rhino options.</div>
</li>
</ul>
<a name="rhinoOptions(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rhinoOptions</h4>
<pre>public&nbsp;void&nbsp;rhinoOptions(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;rhinoOptions)</pre>
<div class="block">Sets Rhino options.</div>
</li>
</ul>
<a name="getScriptArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScriptArgs</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>(<a href="../../../../../org/gradle/api/tasks/Internal.html#value()">value</a>="Represented as part of args")
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getScriptArgs()</pre>
<div class="block">Script arguments.</div>
</li>
</ul>
<a name="setScriptArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScriptArgs</h4>
<pre>public&nbsp;void&nbsp;setScriptArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;scriptArgs)</pre>
<div class="block">Sets script arguments.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setScriptArgs(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScriptArgs</h4>
<pre>public&nbsp;void&nbsp;setScriptArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;scriptArgs)</pre>
<div class="block">Sets script arguments.</div>
</li>
</ul>
<a name="scriptArgs(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scriptArgs</h4>
<pre>public&nbsp;void&nbsp;scriptArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;scriptArgs)</pre>
<div class="block">Sets script arguments.</div>
</li>
</ul>
<a name="getScript()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScript</h4>
<pre><a href="../../../../../org/gradle/api/tasks/InputFile.html" title="annotation in org.gradle.api.tasks">@InputFile</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getScript()</pre>
<div class="block">Script file.</div>
</li>
</ul>
<a name="setScript(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScript</h4>
<pre>public&nbsp;void&nbsp;setScript(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;script)</pre>
<div class="block">Sets script file.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setScript(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScript</h4>
<pre>public&nbsp;void&nbsp;setScript(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;script)</pre>
<div class="block">Sets script file.</div>
</li>
</ul>
<a name="getArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getArgs()</pre>
<div class="block">Returns the arguments passed to the main class to be executed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/process/JavaExecSpec.html#getArgs()">getArgs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html#getArgs()">getArgs</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></dd>
</dl>
</li>
</ul>
<a name="setArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a>&nbsp;setArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;applicationArgs)</pre>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/process/JavaExecSpec.html#setArgs(java.util.List)">setArgs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html#setArgs(java.util.List)">setArgs</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>applicationArgs</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></code> - always</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setArgs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a>&nbsp;setArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;applicationArgs)</pre>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/process/JavaExecSpec.html#setArgs(java.lang.Iterable)">setArgs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html#setArgs(java.lang.Iterable)">setArgs</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>applicationArgs</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></code> - always</dd></dl>
</li>
</ul>
<a name="args(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>args</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a>&nbsp;args(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</pre>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/process/JavaExecSpec.html#args(java.lang.Object...)">args</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html#args(java.lang.Object...)">args</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></code> - always</dd></dl>
</li>
</ul>
<a name="args(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>args</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;args(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</pre>
<div class="block">Cannot set args directly on RhinoShellExec, use <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setRhinoOptions(java.util.List)"><code>setRhinoOptions(List)</code></a>, <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScriptArgs(java.util.List)"><code>setScriptArgs(List)</code></a> and/or <a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html#setScript(java.io.File)"><code>setScript(File)</code></a> instead.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/process/JavaExecSpec.html#args(java.lang.Iterable)">args</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html#args(java.lang.Iterable)">args</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang">UnsupportedOperationException</a></code> - always</dd></dl>
</li>
</ul>
<a name="exec()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>exec</h4>
<pre>public&nbsp;void&nbsp;exec()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/JavaExec.html#exec()">exec</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/javascript/rhino/RhinoPlugin.html" title="class in org.gradle.plugins.javascript.rhino"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/javascript/rhino/RhinoShellExec.html" target="_top">Frames</a></li>
<li><a href="RhinoShellExec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
